Skip to main content
GET
/
v0
/
blocks
/
{name}
/
versions
/
{version}
Get Block by Version
curl --request GET \
  --url https://api.pixxel.space/v0/blocks/{name}/versions/{version} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "block_status": "<string>",
  "spec": {
    "kind": "<string>",
    "status": 123,
    "inputs": [
      123
    ],
    "outputs": [
      123
    ],
    "catalog_content_url": "<string>",
    "supported_collections_id": [
      "<string>"
    ],
    "type": "<string>",
    "description": "<string>",
    "id": "<string>",
    "version_id": "<string>",
    "name": "<string>",
    "title": "<string>",
    "version": "<string>"
  },
  "created_at": "<string>",
  "err": "<string>"
}
📚 View developer guide to learn more

Authorizations

Authorization
string
header
required

Path Parameters

name
string
required

Block name

version
string
required

Block version

Response

OK

id
string

ID is the unique identifier for this block

block_status
string

BlockStatus represents the current state of the block

spec
object

Spec contains the block specification

created_at
string

CreatedAt indicates when the block was created

err
string

Err contains any error information